
#ifndef KS0108_H
#define	KS0108_H
#include <xc.h>

#define KS_RS   LATBbits.LATB0 
#define KS_RW   LATBbits.LATB1
#define KS_EN   LATBbits.LATB2 
#define KS_CSA  LATBbits.LATB3
#define KS_CSB  LATBbits.LATB4
#define KS_RST  LATBbits.LATB5
#define KS_PORT LATC 

void KS_enable(void);
void KS_reset(void);
void KS_write_command(unsigned char command);
void KS_write_data(unsigned char data);
void KS_config(void);
void KS_start_line(unsigned char line);
void KS_set_x (unsigned char x);
void KS_set_y (unsigned char y);

#endif	/* KS0108_H */

